package com.example.fitbot;

import com.example.fitbot.exercise.Exercise;
import com.example.fitbot.exercise.ExerciseManager;

import org.junit.Test;

public class DatabaseFetchingTest {


    @Test
    public void testDatabaseFetching() {
        Exercise exercise = ExerciseManager.fetchExerciseFromDatabase();
        assert exercise != null;
        System.out.println("\n---------------------------------");
        System.out.println("Exercise:");
        System.out.println("Name: " + exercise.name);
        System.out.println("Description: " + exercise.description);
        System.out.println("Muscle Group: " + exercise.muscleGroup);
        System.out.println("Image URL: " + exercise.imageUrl);
        System.out.println("Video URL: " + exercise.videoUrl);
        System.out.println("Exercise Time: " + exercise.exerciseTimeInSeconds);
        System.out.println("\n---------------------------------");

    }


}
